%define PACKAGE_NAME libgrass5
%define libname %mklibname grass5_ 0
%define libnamedevel %mklibname -d grass5_ 0
%define libnamestatic %mklibname -s -d grass5_ 0
%define PACKAGE_VERSION 1.0.0
%define PACKAGE_URL http://gdal.velocet.ca/projects/grass/

Summary: Standalone GRASS Database Access Library
Name: %PACKAGE_NAME
Version: %PACKAGE_VERSION
Release: 1mdk
Source: %PACKAGE_NAME-%PACKAGE_VERSION.tar.bz2
License: GPL
Group: Sciences/Geosciences
URL: %PACKAGE_URL
BuildRoot: %{_tmppath}/%PACKAGE_NAME-%PACKAGE_VERSION-buildroot

%description
The libgrass package consists of the majority of the GRASS libgis, and
libdatetime library build as a standalone shared library suitable for use
by non-GRASS applications wishing to read and write GRASS databases.  Some
additional functions have been added to simplify library initialization and
data access by non-GRASS applications.  

While libgrass is currently only suitable for accessing GRASS raster cells,
and associated support files, it is hoped that future revisions will include
support for vector files, and other data elements stored within the GRASS
database.

%package -n %libname
Summary: Standalone GRASS Database Access Library
License: GPL
Group: Sciences/Geosciences
URL: %PACKAGE_URL
Provides: %name

%description -n %libname
The libgrass package consists of the majority of the GRASS libgis, and
libdatetime library build as a standalone shared library suitable for use
by non-GRASS applications wishing to read and write GRASS databases.  Some
additional functions have been added to simplify library initialization and
data access by non-GRASS applications.  

While libgrass is currently only suitable for accessing GRASS raster cells,
and associated support files, it is hoped that future revisions will include
support for vector files, and other data elements stored within the GRASS
database.

%package -n %libnamedevel
Summary: Standalone GRASS Database Access Library
License: GPL
Group: Sciences/Geosciences
URL: %PACKAGE_URL
Provides: %name-devel
Requires: %libname = %version

%description -n %libnamedevel
The libgrass package consists of the majority of the GRASS libgis, and
libdatetime library build as a standalone shared library suitable for use
by non-GRASS applications wishing to read and write GRASS databases.  Some
additional functions have been added to simplify library initialization and
data access by non-GRASS applications.  

While libgrass is currently only suitable for accessing GRASS raster cells,
and associated support files, it is hoped that future revisions will include
support for vector files, and other data elements stored within the GRASS
database.

%package -n %libnamestatic
Summary: Standalone GRASS Database Access Library
License: GPL
Group: Sciences/Geosciences
URL: %PACKAGE_URL
Requires: %libnamedevel

%description -n %libnamestatic
The libgrass package consists of the majority of the GRASS libgis, and
libdatetime library build as a standalone shared library suitable for use
by non-GRASS applications wishing to read and write GRASS databases.  Some
additional functions have been added to simplify library initialization and
data access by non-GRASS applications.  

While libgrass is currently only suitable for accessing GRASS raster cells,
and associated support files, it is hoped that future revisions will include
support for vector files, and other data elements stored within the GRASS
database.

##################
%prep
%setup -q

##################
%build
#./configure --prefix=%{_prefix}
%configure
%make 

##################
%install
rm -Rf %{buildroot}
%makeinstall
#prefix=$RPM_BUILD_ROOT%{_prefix} install

##################
%post -n %libname
ldconfig

##################
%postun -n %libname
ldconfig

##################
%files -n %libname
%defattr(-,root,root)
%doc AUTHORS
%doc README
%doc COPYING
%doc ChangeLog
%doc NEWS
%{_libdir}/*.so.*

%files -n %libnamedevel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%doc samples/grassinfo.c
%doc samples/ppm2grass.c


%files -n %libnamestatic
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/*.a

%changelog
* Tue Mar 18 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.0.0-1mdk
- First Mandrake package
